package com.realnet.basic.Services;
import com.realnet.basic.Repository.Test01Repository;
import com.realnet.basic.Entity.Test01
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;








	import org.springframework.stereotype.Service;

@Service
 public class Test01Service {
@Autowired
private Test01Repository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;







public Test01 Savedata(Test01 data) {








	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Test01 save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Test01> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Test01> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Test01> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Test01 getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Test01 update(Test01 data,Integer id) {
	Test01 old = Repository.findById(id).get();
old.setName_k(data.getName_k());

old.setDescription(data.getDescription());

old.setActive (data.getActive());

old.setContact_number(data.getContact_number());

final Test01 test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 








 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
